ON_HatchPattern Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_hatch.h>`

Inheritance diagram for ON_HatchPattern:

## Public Types

enum | eFillType { ftSolid = 0 , ftLines = 1 , ftGradient = 2 , ftLast = 3 }

## Public Member Functions

| ON_HatchPattern ()
| ~ON_HatchPattern ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
ON_UUID | ModelObjectId () const
eFillType | FillType () const
void | SetFillType (eFillType type)
void | SetName (const wchar_t *pName)
void | SetName (const char *pName)
void | GetName (ON_wString &string) const
const wchar_t * | Name () const
void | SetDescription (const wchar_t *pDescription)
void | SetDescription (const char *pDescription)
void | GetDescription (ON_wString &string) const
const wchar_t * | Description () const
void | SetIndex (int index)
int | Index () const
int | HatchLineCount () const
int | AddHatchLine (const ON_HatchLine &line)
const ON_HatchLine * | HatchLine (int index) const
bool | RemoveHatchLine (int index)
void | RemoveAllHatchLines ()
int | SetHatchLines (const ON_ClassArray< ON_HatchLine > lines)
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

int | m_hatchpattern_index
ON_wString | m_hatchpattern_name
ON_UUID | m_hatchpattern_id
eFillType | m_type
ON_wString | m_description
ON_ClassArray< ON_HatchLine > | m_lines

## Detailed Description

Definition at line 311 of file opennurbs_hatch.h.

## Member Enumeration Documentation

## eFillType

enum ON_HatchPattern::eFillType

Enumerator
ftSolid |
ftLines |
ftGradient |
ftLast |

Definition at line 317 of file opennurbs_hatch.h.

## Constructor & Destructor Documentation

## ON_HatchPattern()

ON_HatchPattern::ON_HatchPattern | ( |  | ) |

## ~ON_HatchPattern()

ON_HatchPattern::~ON_HatchPattern | ( |  | ) |

## Member Function Documentation

## AddHatchLine()

int ON_HatchPattern::AddHatchLine | ( | const ON_HatchLine & | line | ) |

## Description()

const wchar_t* ON_HatchPattern::Description | ( |  | ) | const

## Dump()

void ON_HatchPattern::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

## FillType()

eFillType ON_HatchPattern::FillType | ( |  | ) | const

## GetDescription()

void ON_HatchPattern::GetDescription | ( | ON_wString & | string | ) | const

## GetName()

void ON_HatchPattern::GetName | ( | ON_wString & | string | ) | const

## HatchLine()

const ON_HatchLine* ON_HatchPattern::HatchLine | ( | int | index | ) | const

## HatchLineCount()

int ON_HatchPattern::HatchLineCount | ( |  | ) | const

## Index()

int ON_HatchPattern::Index | ( |  | ) | const

## IsValid()

ON_BOOL32 ON_HatchPattern::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

## ModelObjectId()

ON_UUID ON_HatchPattern::ModelObjectId | ( |  | ) | const

virtual

Reimplemented from ON_Object.

## Name()

const wchar_t* ON_HatchPattern::Name | ( |  | ) | const

## Read()

ON_BOOL32 ON_HatchPattern::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

## RemoveAllHatchLines()

void ON_HatchPattern::RemoveAllHatchLines | ( |  | ) |

## RemoveHatchLine()

bool ON_HatchPattern::RemoveHatchLine | ( | int | index | ) |

## SetDescription() [1/2]

void ON_HatchPattern::SetDescription | ( | const char * | pDescription | ) |

## SetDescription() [2/2]

void ON_HatchPattern::SetDescription | ( | const wchar_t * | pDescription | ) |

## SetFillType()

void ON_HatchPattern::SetFillType | ( | eFillType | type | ) |

## SetHatchLines()

int ON_HatchPattern::SetHatchLines | ( | const ON_ClassArray< ON_HatchLine > | lines | ) |

## SetIndex()

void ON_HatchPattern::SetIndex | ( | int | index | ) |

## SetName() [1/2]

void ON_HatchPattern::SetName | ( | const char * | pName | ) |

## SetName() [2/2]

void ON_HatchPattern::SetName | ( | const wchar_t * | pName | ) |

## Write()

ON_BOOL32 ON_HatchPattern::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

## m_description

ON_wString ON_HatchPattern::m_description

Definition at line 502 of file opennurbs_hatch.h.

## m_hatchpattern_id

ON_UUID ON_HatchPattern::m_hatchpattern_id

Definition at line 498 of file opennurbs_hatch.h.

## m_hatchpattern_index

int ON_HatchPattern::m_hatchpattern_index

Definition at line 496 of file opennurbs_hatch.h.

## m_hatchpattern_name

ON_wString ON_HatchPattern::m_hatchpattern_name

Definition at line 497 of file opennurbs_hatch.h.

## m_lines

ON_ClassArray<ON_HatchLine> ON_HatchPattern::m_lines

Definition at line 508 of file opennurbs_hatch.h.

## m_type

eFillType ON_HatchPattern::m_type

Definition at line 500 of file opennurbs_hatch.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_hatch.h